cURL
curl -X DELETE "$EXSITED_BASE_URL/api/v4/return_vendor_authorizations/rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d/notes/note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.return_vendor_authorizations.delete_return_vendor_authorization_note(
"rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d", "note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.returnVendorAuthorizations.deleteReturnVendorAuthorizationNote(
'rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d',
'note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->returnVendorAuthorizations->deleteReturnVendorAuthorizationNote(
'rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d',
'note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a',
);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.returnVendorAuthorizations().deleteReturnVendorAuthorizationNote(
"rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d",
"note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ReturnVendorAuthorizations.DeleteReturnVendorAuthorizationNoteAsync(
"rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d",
"note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.returnVendorAuthorizations
.deleteReturnVendorAuthorizationNote(
'rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d',
'note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.ReturnVendorAuthorizations().DeleteReturnVendorAuthorizationNote(context.Background(), "rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d", "note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Return vendor authorizations
Delete a return vendor authorization note
Deletes one note from a return vendor authorization. Nothing comes back.
DELETE
/
return_vendor_authorizations
/
{rva_id}
/
notes
/
{note_id}
cURL
curl -X DELETE "$EXSITED_BASE_URL/api/v4/return_vendor_authorizations/rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d/notes/note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.return_vendor_authorizations.delete_return_vendor_authorization_note(
"rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d", "note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.returnVendorAuthorizations.deleteReturnVendorAuthorizationNote(
'rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d',
'note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->returnVendorAuthorizations->deleteReturnVendorAuthorizationNote(
'rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d',
'note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a',
);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.returnVendorAuthorizations().deleteReturnVendorAuthorizationNote(
"rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d",
"note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ReturnVendorAuthorizations.DeleteReturnVendorAuthorizationNoteAsync(
"rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d",
"note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.returnVendorAuthorizations
.deleteReturnVendorAuthorizationNote(
'rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d',
'note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.ReturnVendorAuthorizations().DeleteReturnVendorAuthorizationNote(context.Background(), "rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d", "note_8d1e2f3a4b5c4d6e8f9a0b1c2d3e4f5a", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Deletes the note, addressed by the return’s
rva_ id and the note’s id. The call returns 204 with no body.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.